Skip to main content
`Ctrl`+`K`

# TaoGetInequalityConstraintsRoutine

Gets the function used to compute inequality constraints.

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoGetInequalityConstraintsRoutine(Tao tao, Vec *ci, PetscErrorCode (**func)(Tao tao, Vec x, Vec ci, PetscCtx ctx), PetscCtxRt ctx)

Not Collective

## Input Parameter

- tao - the `Tao` context

## Output Parameters

- ci - the vector to internally hold the constraint computation

- func - the bounds computation routine

- ctx - the (optional) user-defined context

## Calling sequence of `func`

- tao - the `Tao` solver

- x - point to evaluate inequality constraints

- ci - vector of inequality constraints evaluated at x

- ctx - the (optional) user-defined function context

## See Also

TAO: Optimization Solvers, `Tao`, `TaoSolve()`, `TaoGetObjective()`, `TaoGetGradient()`, `TaoGetHessian()`, `TaoGetObjectiveAndGradient()`, `TaoGetEqualityConstraintsRoutine()`

## Level

intermediate

## Location

src/tao/interface/taosolver_bounds.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages